Package com.arms.api.jira.jiraserver.service

## Class JiraServerImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraserver.service.JiraServerImpl

- All Implemented Interfaces:
    `JiraServer`, `TreeService`

      @Service("jiraServer")
      public class JiraServerImpl
      extends TreeServiceImpl
      implements JiraServer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JiraServerEntity` | `addJiraServer​(JiraServerEntity jiraServerEntity)` |
    `void` | `cacheALMServerDTO​(java.util.List<IssueStatusDTO> issueStatusDTOs, java.lang.String serverId, java.lang.String projectKeyOrId, java.lang.String issueTypeId)` |
    `void` | `cacheStatusMappingData​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueTypeEntity>` | `getIssueTypeOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraProjectPureEntity>` | `getProjectPureList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssuePriorityEntity>` | `getServerIssuePriorityOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueResolutionEntity>` | `getServerIssueResolutionList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueStatusEntity>` | `getServerIssueStatusOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​StatusRuleSetEntity>>` | `getStatusRuleSet​(JiraServerEntity searchEntity)` |
    `void` | `preSetIssueStatusMapping​(java.lang.String projectCid, JiraServerEntity jiraServer)` |
    `java.util.concurrent.CompletableFuture<java.lang.Boolean>` | `refreshALMServer​(JiraServerEntity jiraServerEntity)` |
    `JiraServerEntity` | `setDefaultValueForTarget​(EntityType entityType, java.lang.Long targetCId, JiraServerEntity searchEntity)` |
    `int` | `updateArmsAndEngineServerData​(JiraServerEntity updateServerEntity)` |
    `JiraServerEntity` | `서버_엔티티_항목별_갱신​(EntityType 갱신할_항목, java.lang.String projectCId, JiraServerEntity jiraServerEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraServerImpl

          public JiraServerImpl()

  - ### Method Detail

    - #### setDefaultValueForTarget

          public JiraServerEntity setDefaultValueForTarget​(EntityType entityType,
                                                           java.lang.Long targetCId,
                                                           JiraServerEntity searchEntity)
                                                    throws java.lang.Exception

      Specified by:
        `setDefaultValueForTarget` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### getProjectPureList

          public java.util.List<JiraProjectPureEntity> getProjectPureList​(JiraServerEntity jiraServerEntity)
                                                                   throws java.lang.Exception

      Specified by:
        `getProjectPureList` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### getIssueTypeOnlyList

          public java.util.List<JiraIssueTypeEntity> getIssueTypeOnlyList​(JiraServerEntity jiraServerEntity)
                                                                   throws java.lang.Exception

      Specified by:
        `getIssueTypeOnlyList` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### getServerIssueStatusOnlyList

          public java.util.List<JiraIssueStatusEntity> getServerIssueStatusOnlyList​(JiraServerEntity jiraServerEntity)
                                                                             throws java.lang.Exception

      Specified by:
        `getServerIssueStatusOnlyList` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### getServerIssuePriorityOnlyList

          public java.util.List<JiraIssuePriorityEntity> getServerIssuePriorityOnlyList​(JiraServerEntity jiraServerEntity)
                                                                                 throws java.lang.Exception

      Specified by:
        `getServerIssuePriorityOnlyList` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### getServerIssueResolutionList

          public java.util.List<JiraIssueResolutionEntity> getServerIssueResolutionList​(JiraServerEntity jiraServerEntity)
                                                                                 throws java.lang.Exception

      Specified by:
        `getServerIssueResolutionList` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### updateArmsAndEngineServerData

          public int updateArmsAndEngineServerData​(JiraServerEntity updateServerEntity)
                                            throws java.lang.Exception

      Specified by:
        `updateArmsAndEngineServerData` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### addJiraServer

          public JiraServerEntity addJiraServer​(JiraServerEntity jiraServerEntity)
                                         throws java.lang.Exception

      Specified by:
        `addJiraServer` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### 서버_엔티티_항목별_갱신

          public JiraServerEntity 서버_엔티티_항목별_갱신​(EntityType 갱신할_항목,
                                                java.lang.String projectCId,
                                                JiraServerEntity jiraServerEntity)
                                         throws java.lang.Exception

      Specified by:
        `서버_엔티티_항목별_갱신` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### refreshALMServer

          @Async
          public java.util.concurrent.CompletableFuture<java.lang.Boolean> refreshALMServer​(JiraServerEntity jiraServerEntity)

      Specified by:
        `refreshALMServer` in interface `JiraServer`

    - #### getStatusRuleSet

          public java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​StatusRuleSetEntity>> getStatusRuleSet​(JiraServerEntity searchEntity)
                                                                                                                           throws java.lang.Exception

      Specified by:
        `getStatusRuleSet` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### preSetIssueStatusMapping

          @Async
          public void preSetIssueStatusMapping​(java.lang.String projectCid,
                                               JiraServerEntity jiraServer)
                                        throws java.lang.Exception

      Specified by:
        `preSetIssueStatusMapping` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### cacheStatusMappingData

          public void cacheStatusMappingData​(JiraServerEntity jiraServerEntity)
                                      throws java.lang.Exception

      Specified by:
        `cacheStatusMappingData` in interface `JiraServer`
      Throws:
        `java.lang.Exception`

    - #### cacheALMServerDTO

          public void cacheALMServerDTO​(java.util.List<IssueStatusDTO> issueStatusDTOs,
                                        java.lang.String serverId,
                                        java.lang.String projectKeyOrId,
                                        java.lang.String issueTypeId)